MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029602Open CASCADE[OCCT] OCCT:Visualizationpublic2018-03-20 16:462018-06-29 21:19
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029602: Visualization, TKOpenGl - Size Culling is not properly handled within Perspective projection
DescriptionMoving camera Eye+Center within Perspective projection does not lead to expected results of Size Culling - only Scale has effect.

Steps To Reproduce
test v3d glsl cullsize 1
vviewparams -eye 16.8333 -9.08333 10.0833 -at 7.5 0.25 0.75
if { [vreadpixel 125 170 rgb name] != "BLACK" } { puts "Error!" }
TagsNo tags attached.
Test case numberv3d glsl cullsize
Attached Files

- Relationships

-  Notes
(0074757)
git (administrator)
2018-03-22 13:06

Branch CR29602 has been created by kgv.

SHA-1: 9f1e2d53a805366906eeded1d60109c85ef470e3


Detailed log of new commits:

Author: kgv
Date: Thu Mar 22 13:05:06 2018 +0300

    0029602: Visualization, TKOpenGl - Size Culling is not properly handled within Perspective projection
    
    OpenGl_BVHTreeSelector::isTooSmall() now takes into account distance
    the distance between camera Eye and object Center
    within perspective projection.
(0074758)
kgv (developer)
2018-03-22 13:06

Patch is ready for review.
(0074762)
git (administrator)
2018-03-22 14:47

Branch CR29602 has been updated forcibly by kgv.

SHA-1: aa471b590b16ff294838c90f47cfe772148aee38
(0074768)
san (developer)
2018-03-22 16:57

Branch CR29602 reviewed without remarks, ready for testing.
(0074770)
bugmaster (administrator)
2018-03-22 17:24

Combination -
OCCT branch : CR29602 SHA - 9f1e2d53a805366906eeded1d60109c85ef470e3
Products branch : master SHA - 2f8f449f24696d59603ade3d9a086e77e8b9a304
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18133.56999999989 / 18107.97999999989 [+0.14%]
Products
Total CPU difference: 7432.340000000017 / 7427.109999999995 [+0.07%]
Windows-64-VC10:
OCCT
Total CPU difference: 17999.052177798683 / 17842.61437499857 [+0.88%]
Products
Total CPU difference: 8116.576028999973 / 8148.135031299978 [-0.39%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0074877)
git (administrator)
2018-03-24 20:01

Branch CR29602 has been deleted by kgv.

SHA-1: aa471b590b16ff294838c90f47cfe772148aee38

- Related Changesets
occt: master f29de682
Timestamp: 2018-03-22 10:05:06
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029602: Visualization, TKOpenGl - Size Culling is not properly handled within Perspective projection

OpenGl_BVHTreeSelector::isTooSmall() now takes into account distance
the distance between camera Eye and object Center
within perspective projection.
mod - src/OpenGl/OpenGl_BVHTreeSelector.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_BVHTreeSelector.hxx Diff ] File ]
mod - tests/v3d/glsl/cullsize Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-20 16:46 kgv New Issue
2018-03-20 16:46 kgv Assigned To => kgv
2018-03-20 16:46 kgv Relationship added child of 0029295
2018-03-22 12:41 kgv Description Updated View Revisions
2018-03-22 12:41 kgv Steps to Reproduce Updated View Revisions
2018-03-22 12:49 kgv Steps to Reproduce Updated View Revisions
2018-03-22 13:06 git Note Added: 0074757
2018-03-22 13:06 kgv Note Added: 0074758
2018-03-22 13:06 kgv Assigned To kgv => san
2018-03-22 13:06 kgv Status new => resolved
2018-03-22 14:47 git Note Added: 0074762
2018-03-22 16:57 san Note Added: 0074768
2018-03-22 16:57 san Assigned To san => bugmaster
2018-03-22 16:57 san Status resolved => reviewed
2018-03-22 17:24 bugmaster Note Added: 0074770
2018-03-22 17:24 bugmaster Status reviewed => tested
2018-03-22 17:24 bugmaster Test case number => v3d glsl cullsize
2018-03-24 11:51 bugmaster Changeset attached => occt master f29de682
2018-03-24 11:51 bugmaster Status tested => verified
2018-03-24 11:51 bugmaster Resolution open => fixed
2018-03-24 20:01 git Note Added: 0074877
2018-06-29 21:14 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker